{% extends "base.html" %}
{% block homecontent %}
      <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="{{ url_for('index') }}"><h2>Quora</h2></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link" href="{{ url_for('index') }}">Home <span class="sr-only">(current)</span></a>
            </li>
            {% if user %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                {{current_user.username}}
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                <a class="dropdown-item" href="{{url_for('user', username=current_user.username)}}">My Profile</a>
                <a class="dropdown-item" href="{{url_for('deleteuser',userid=current_user.id)}}">Delete my account</a>
              </div>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{{ url_for('add_question') }}">Write a question</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{{ url_for('logout') }}">Signout</a>
            </li>
            {%else%}
            <li class="nav-item">
              <a class="nav-link" href="{{ url_for('home') }}">Register</a>
            </li>
            {%endif%}
          </ul>
          <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <!-- <ul class="nav navbar-nav">
                    ... home and explore links ...
                </ul> -->
                {% if g.search_form %}
                <form class="form-inline my-2 my-lg-0 navbar-form navbar-left" method="get"
                        action="{{ url_for('search') }}">
                    <div class="form-group">
                        {{ g.search_form.q(size=20, class='form-control',
                            placeholder=g.search_form.q.label.text) }}
                    </div>
                </form>
                {% endif %}
        </div>
      </nav>
      {% block indexcontent %}{% endblock %}
{% endblock %}
